Update contact properties

Each contact in Tidio can have a set of defined properties.

It is important to note that contacts are website visitors who have interacted with the Tidio widget and have been identified by their name, email address, or phone number.

These properties include email, first_name, last_name, phone, distinct_id, and properties. Each property has a specific type, such as text, email, number, phone, or URL. Please note that you can only update contacts that are already defined in the Tidio panel.

Pass only the property you want to update.

  1. When the property equals null, it is going to be cleared.
  2. When a property does not exist in the body, it stays untouched.
  3. Passing any non-existing property will result in a validation error.
  4. Passing the wrong property type will result in a validation error.
Path Params
uuid
required

ID of the contact

Body Params
string | null

Email address of the contact [RFC822]

string | null

Phone number of the contact

string | null

First name of the contact

string | null

Last name of the contact

string | null
enum
Allowed:
properties
array of objects
properties
string
length ≤ 55

ID of the contact in external system

Responses
204

It means that the contact has been updated.

Language
Credentials
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json; version=1